#include <Adafruit_NeoPixel.h>

#define PIN 6
// Parametr 1 = počet pixelů (LED diod) na pásek
// Parametr 2 = číslo PINu Arduina
// Parametr 3 = pixel type flags, add together as needed:
// NEO_KHZ800  800 KHz kmitočet pro pásky s WS2812 LED diodami)
// NEO_GRB  Pixely jsou zasílány ve formátu GRB 
Adafruit_NeoPixel MagicLED = Adafruit_NeoPixel(60, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  MagicLED.begin();
  MagicLED.show(); // Inicializace všech pixelů (LED diod) do stavu "vypnuto"
}


void loop() {
  duha1(wait);  //zadáním čísla do závorky udáváme rychlost změny barev
}

// duha rovnoměrně rozložená
void duha1(uint8_t wait) {
  uint16_t i, j;

  for(j=0; j<256*5; j++) { // 5 cycles of all colors on wheel
    for(i=0; i< MagicLED.numPixels(); i++) {
      MagicLED.setPixelColor(i, Wheel(((i * 256 / MagicLED.numPixels()) + j) & 255));
    }
    MagicLED.show();
    delay(wait);
  }
}

//  Barvy přecházejí v pořadí R - G - B a zpět k R.
uint32_t Wheel(byte WheelPos) {
  if(WheelPos < 85) {
   return MagicLED.Color(WheelPos * 3, 255 - WheelPos * 3, 0);
  } else if(WheelPos < 170) {
   WheelPos -= 85;
   return MagicLED.Color(255 - WheelPos * 3, 0, WheelPos * 3);
  } else {
   WheelPos -= 170;
   return MagicLED.Color(0, WheelPos * 3, 255 - WheelPos * 3);
  }
}

